#version 330 core

in vec2 st;
uniform sampler2D tex;
out vec4 frag_color;

void main(){
	
	// Brightpass Treshhold
	vec3 T = vec3(0.35);
	// BrightPass Filter
	vec3 color = max(texture(tex,st).rgb - T, 0);

	frag_color = vec4(color,1.0);
}