#version 330 core

in vec2 st;
uniform sampler2D tex;
out vec4 frag_color;
vec2 gaussFilter[15] = vec2[]( 
	vec2(-7.0,	0.0088),
	vec2(-6.0,	0.0182),
	vec2(-5.0,	0.0336),
	vec2(-4.0,	0.0553),
	vec2(-3.0,	0.0816),
	vec2(-2.0,	0.1078),
	vec2(-1.0,	0.1273),
	vec2(0.0,	0.1346),
	vec2(1.0,	0.1273),
	vec2(2.0,	0.1078),
	vec2(3.0,	0.0816),
	vec2(4.0,	0.0553),
	vec2(5.0,	0.0336),
	vec2(6.0,	0.0182),
	vec2(7.0,	0.0088)
);
void main(){

	vec4 newTex = textureLod(tex, st, 8);


	vec3 color;
	if(st.s >= 0.5){
		color = 1.0 - texture(tex,st).rgb;
	}else{
		color = texture (tex,st).rgb;
	}
	frag_color = vec4(color,1.0);
}